import '../../hera/hera.dart';
import 'dart:js' as js;

class Redirect {
  static handle(uri)  {
    if (Hera.redirectUrl != "" &&
        uri.path == Uri.parse(Hera.redirectUrl).path) {
      Hera.setTokenPair(
          accessToken: uri.queryParameters["access_token"],
          refreshToken: uri.queryParameters["refresh_token"])
          .then((_) => {
        js.context.callMethod('open', ["/", '_self'])
      });
    }
  }
}