import 'package:flutter/material.dart';
import 'package:nuntio_hera/hera/hera.dart';
import 'package:nuntio_hera/hera_app/hera_app.dart';

import 'home/home.dart';

void main() async {
  WidgetsFlutterBinding.ensureInitialized();
  await Hera.initialize(
    //apiUrl: 'http://localhost:9001',
    //credentials: NoTransportCredentials(),
    apiUrl: 'https://nuntio.spvb.dk',
    //credentials: NoTransportCredentials(),
    redirectUrl: "http://localhost:49904/callback",
    namespace: '6b371d0b-58d1-4c46-86bf-db21f2f54a2a',
  );

  runApp(HeraApp(child: Home()));
}
